> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search GSTIN

> Verify GST-registered businesses by passing their GSTIN.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstin/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/gstin/search:
    post:
      tags:
        - Public
      summary: Search GSTIN
      description: Verify GST-registered businesses by passing their GSTIN.
      operationId: searchGstin
      parameters:
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: >-
            Pass true to accept the cached response. If the header is not
            passed, or if false is sent as the value, the request will hit the
            origin.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN of the taxpayer
            examples:
              200 Success:
                value:
                  gstin: 33ABKCS2033B1ZW
                summary: 200 Success
              200 Success 2:
                value:
                  gstin: 29AFSPB9500E1ZY
                summary: 200 Success 2
              FO8000 No records found:
                value:
                  gstin: 07CQZCD1111I4Z7
                summary: FO8000 No records found
              200 Cancelled GSTIN:
                value:
                  gstin: 36AEOFS9999J1ZI
                summary: 200 Cancelled GSTIN
              200 SEZ:
                value:
                  gstin: anurag24AAACZ0629H1ZI
                summary: 200 SEZ
              200 ISD:
                value:
                  gstin: 27AACCA8432H2ZP
                summary: 200 ISD
              200 Multiple additional addresses of business:
                value:
                  gstin: 24AABCG8033D1Z2
                summary: 200 Multiple additional addresses of business
              200 Public Limited Company:
                value:
                  gstin: 27AACCN0053F1ZW
                summary: 200 Public Limited Company
              200 Public Sector Bank:
                value:
                  gstin: 24AAACS8577K1ZV
                summary: 200 Public Sector Bank
              200 NRI GSTIN:
                value:
                  gstin: 9917SGP29002OSR
                summary: 200 NRI GSTIN
              Invalid GSTIN pattern:
                value:
                  gstin: 3418FIN00001UNY
                summary: Invalid GSTIN pattern
      responses:
        '200':
          description: >-
            200 Success / 200 Success / 200 SEZ / 200 ISD / 200 Multiple
            additional addresses of business / 200 Cancelled GSTIN / 200 Public
            Limited Company / 200 Public Sector Bank / FO8000 No records found /
            200 NRI GSTIN
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          adadr:
                            type: array
                            items:
                              type: object
                              properties:
                                addr:
                                  type: object
                                  properties:
                                    bnm:
                                      type: string
                                      description: Building Name
                                      example: ELPHINSTONE BUILDING
                                    bno:
                                      type: string
                                      description: Building Number
                                      example: '10'
                                    flno:
                                      type: string
                                      description: Floor number
                                      example: 1ST FLOOR
                                    lg:
                                      type: string
                                      description: longitude
                                      example: '27.0238'
                                    loc:
                                      type: string
                                      description: location
                                      example: FORT
                                    lt:
                                      type: string
                                      description: lattitude
                                      example: '74.2179'
                                    pncd:
                                      type: string
                                      description: Pincode
                                      example: '249185'
                                    st:
                                      type: string
                                      description: Street Name
                                      example: 10, VEER NARIMAN ROAD
                                    stcd:
                                      type: string
                                      description: State Name
                                      example: Uttarakhand
                                  required:
                                    - loc
                                    - lg
                                    - pncd
                                    - stcd
                                    - st
                                    - lt
                                    - bno
                                    - bnm
                                    - flno
                                ntr:
                                  type: array
                                  items:
                                    type: string
                                    description: Nature of Additional place of business
                                    example: Wholesale Business
                                  example:
                                    - Wholesale Business
                              required:
                                - ntr
                                - addr
                            example:
                              - addr:
                                  bnm: ELPHINSTONE BUILDING
                                  bno: '10'
                                  flno: 1ST FLOOR
                                  lg: '27.0238'
                                  loc: FORT
                                  lt: '74.2179'
                                  pncd: '249185'
                                  st: 10, VEER NARIMAN ROAD
                                  stcd: Uttarakhand
                                ntr:
                                  - Wholesale Business
                          canclDt:
                            type: string
                            example: ''
                          ctb:
                            type: string
                            description: Constitution of Business
                            example: Foreign LLP
                          ctj:
                            type: string
                            description: Center Jurisdiction
                            example: BCP THUMMAKUNTA
                          ctjCd:
                            type: string
                            description: Center Jurisdiction Code
                            example: AP004
                          cxdt:
                            type: string
                            description: Date Of Cancellation
                            example: ''
                          dty:
                            type: string
                            description: TaxPayer type
                            example: Regular
                          einvoiceStatus:
                            type: string
                            description: eInvoice enablement status for GSTIN
                            example: 'Yes'
                          gstin:
                            type: string
                            description: GST Identification Number
                            example: 05ABNTY3290P8ZB
                          lgnm:
                            type: string
                            example: MS CORPORATION
                          lstupdt:
                            type: string
                            example: 05/01/2017
                          nba:
                            type: array
                            items:
                              type: string
                              example: Bonded Warehouse
                            description: Nature of Business Activity
                            example:
                              - Bonded Warehouse
                              - EOU / STP / EHTP
                              - Factory / Manufacturing
                              - Input Service Distributor (ISD)
                              - Leasing Business
                          pradr:
                            type: object
                            properties:
                              addr:
                                type: object
                                properties:
                                  bnm:
                                    type: string
                                    description: Building Name
                                    example: ELPHINSTONE BUILDING
                                  bno:
                                    type: string
                                    description: Building Number
                                    example: '10'
                                  dst:
                                    type: string
                                    example: Bengaluru Urban
                                  flno:
                                    type: string
                                    description: Floor Number
                                    example: 1ST FLOOR
                                  geocodelvl:
                                    type: string
                                    example: NA
                                  landMark:
                                    type: string
                                    example: ''
                                  lg:
                                    type: string
                                    description: longitude
                                    example: '27.0238'
                                  loc:
                                    type: string
                                    description: Location
                                    example: FORT
                                  locality:
                                    type: string
                                    example: ''
                                  lt:
                                    type: string
                                    description: lattitude
                                    example: '74.2179'
                                  pncd:
                                    type: string
                                    description: Pincode
                                    example: '249185'
                                  st:
                                    type: string
                                    description: Street Name
                                    example: 10, VEER NARIMAN ROAD
                                  stcd:
                                    type: string
                                    description: State Name
                                    example: Uttarakhand
                                required:
                                  - loc
                                  - lg
                                  - pncd
                                  - stcd
                                  - st
                                  - lt
                                  - bno
                                  - bnm
                                  - flno
                              ntr:
                                anyOf:
                                  - type: array
                                    items:
                                      type: string
                                      example: Wholesale Business
                                    example:
                                      - Wholesale Business
                                  - type: string
                                    example: Supplier of Services
                                  - type: string
                                    example: >-
                                      Service Provision, Recipient of Goods or
                                      Services, SEZ
                                  - type: string
                                    example: Recipient of Goods or Services
                                  - type: string
                                    example: Input Service Distributor (ISD)
                                  - type: string
                                    example: Supplier of Services
                                  - type: string
                                    example: >-
                                      Service Provision, Recipient of Goods or
                                      Services
                                  - type: string
                                    example: Service Provision
                                type: array
                                items:
                                  type: string
                                  description: Nature of pricipal place of Business
                                example:
                                  - Wholesale Business
                            required:
                              - ntr
                              - addr
                          rgdt:
                            type: string
                            description: Lst Updated Date
                            example: 05/05/2017
                          rsnCd:
                            type: string
                            example: ''
                          stj:
                            type: string
                            description: State Jurisdiction
                            example: BCP KODIKONDA
                          stjCd:
                            type: string
                            description: State Jurisdiction Code
                            example: AP003
                          sts:
                            type: string
                            description: GSTN status
                            example: Provisional
                          tradeNam:
                            type: string
                            description: trade Name
                            example: ALTON PLASTIC PRIVATE LTD
                          typeOfSup:
                            type: string
                            example: OIDAR
                        required:
                          - stj
                          - dty
                          - rgdt
                          - ctb
                          - sts
                          - gstin
                          - lgnm
                          - nba
                          - ctj
                          - cxdt
                          - stjCd
                          - ctjCd
                          - tradeNam
                          - pradr
                          - adadr
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: FO8000
                          message:
                            type: string
                            example: No records found
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: b14e175f-a03a-4e61-8cf1-1853a12bbc21
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        adadr: []
                        ctb: Proprietorship
                        ctj: RANGE-DED8
                        ctjCd: YT0804
                        cxdt: ''
                        dty: Regular
                        einvoiceStatus: 'No'
                        gstin: 29AFSPB9500E1ZY
                        lgnm: Vicky Pvt Ltd
                        lstupdt: 18/10/2019
                        nba:
                          - Supplier of Services
                        pradr:
                          addr:
                            bnm: Wellington New Place, Prestige Shantiniketan
                            bno: 26666, Block 77
                            dst: Bengaluru Urban
                            flno: Level 05
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: Bangalore
                            locality: ''
                            lt: ''
                            pncd: '560048'
                            st: Whitefield Main Road, Near ITPL
                            stcd: Karnataka
                          ntr: Supplier of Services
                        rgdt: 18/10/2019
                        stj: LGSTO 036 - Bengaluru
                        stjCd: KA119
                        sts: Active
                        tradeNam: Vicky Pvt Ltd
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 5248feb5-dd09-4f0d-9a42-14b34b849087
                200 Success 2:
                  summary: 200 Success 2
                  value:
                    code: 200
                    timestamp: 0
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    data:
                      data:
                        stjCd: AP003
                        lgnm: MS CORPORATION
                        stj: BCP KODIKONDA
                        dty: Regular
                        cxdt: ''
                        gstin: 05ABNTY3290P8ZB
                        einvoiceStatus: 'Yes'
                        nba:
                          - Bonded Warehouse
                          - EOU / STP / EHTP
                          - Factory / Manufacturing
                          - Input Service Distributor (ISD)
                          - Leasing Business
                        lstupdt: 05/01/2017
                        rgdt: 05/05/2017
                        ctb: Foreign LLP
                        sts: Provisional
                        ctjCd: AP004
                        ctj: BCP THUMMAKUNTA
                        tradeNam: ALTON PLASTIC PRIVATE LTD
                        adadr:
                          - addr:
                              bnm: ELPHINSTONE BUILDING
                              st: 10, VEER NARIMAN ROAD
                              loc: FORT
                              bno: '10'
                              stcd: Uttarakhand
                              flno: 1ST FLOOR
                              lt: '74.2179'
                              lg: '27.0238'
                              pncd: '249185'
                            ntr:
                              - Wholesale Business
                        pradr:
                          addr:
                            bnm: ELPHINSTONE BUILDING
                            st: 10, VEER NARIMAN ROAD
                            loc: FORT
                            bno: '10'
                            stcd: Uttarakhand
                            flno: 1ST FLOOR
                            lt: '74.2179'
                            lg: '27.0238'
                            pncd: '249185'
                          ntr:
                            - Wholesale Business
                      status_cd: '1'
                FO8000 No records found:
                  summary: FO8000 No records found
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: FO8000
                        message: No records found
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 4ebb94a3-b0c2-4253-b688-4e9842e37b75
                200 Cancelled GSTIN:
                  summary: 200 Cancelled GSTIN
                  value:
                    code: 200
                    data:
                      data:
                        adadr: []
                        ctb: Partnership
                        ctj: JUBILEE HILLS - I
                        ctjCd: YN0703
                        cxdt: 26/06/2023
                        dty: Regular
                        einvoiceStatus: 'No'
                        gstin: 36AEOFS9999J1ZI
                        lgnm: ACCOUNTS CONSULTANCY
                        lstupdt: 17/09/2023
                        nba:
                          - Supplier of Services
                        pradr:
                          addr:
                            bnm: ''
                            bno: FLAT 999, PLOT NO 3-123, ROAD NO 47
                            dst: Hyderabad
                            flno: NEAR YSR STATUE, 100 FEET ROAD
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: MADHAPUR
                            locality: ''
                            lt: ''
                            pncd: '500081'
                            st: FINANCE SOCIETY
                            stcd: Telangana
                          ntr: Supplier of Services
                        rgdt: 18/11/2021
                        stj: MADHAPUR N 1
                        stjCd: TGC022
                        sts: Cancelled
                        tradeNam: ACCOUNTS CONSULTANCY
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: f1b79b82-fdac-43e2-bd78-2324429b7dd4
                200 SEZ:
                  summary: 200 SEZ
                  value:
                    code: 200
                    data:
                      data:
                        adadr: []
                        ctb: Private Limited Company
                        ctj: RANGE V
                        ctjCd: WT0405
                        cxdt: ''
                        dty: SEZ Developer
                        einvoiceStatus: 'Yes'
                        gstin: 24AAACZ0629H1ZI
                        lgnm: ZYDUS INFRASTRUCTURE PRIVATE LIMITED
                        lstupdt: 10/12/2021
                        nba:
                          - Service Provision
                          - Recipient of Goods or Services
                          - SEZ
                        pradr:
                          addr:
                            bnm: Pharmaceutical Special Economic Zone
                            bno: '1'
                            dst: Ahmedabad
                            flno: ''
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: Village Matoda
                            locality: ''
                            lt: ''
                            pncd: '382213'
                            st: Sarkhej Bavla N H 8A
                            stcd: Gujarat
                          ntr: >-
                            Service Provision, Recipient of Goods or Services,
                            SEZ
                        rgdt: 01/07/2017
                        stj: Ghatak 5 (Ahmedabad)
                        stjCd: GJ005
                        sts: Active
                        tradeNam: ZYDUS INFRASTRUCTURE PVT LTD
                      status_cd: '1'
                    timestamp: 1743079046750
                    transaction_id: 71bce02d-32a7-446c-ac8d-c3f545bd91c3
                200 ISD:
                  summary: 200 ISD
                  value:
                    code: 200
                    data:
                      data:
                        adadr:
                          - addr:
                              bnm: Powai
                              bno: Anjaneya
                              dst: Mumbai
                              flno: Opp Hiranandani Foundation School
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Mumbai
                              locality: ''
                              lt: ''
                              pncd: '400076'
                              st: Powai
                              stcd: Maharashtra
                            ntr: Recipient of Goods or Services
                        ctb: Public Limited Company
                        ctj: RANGE-I
                        ctjCd: VR0601
                        cxdt: ''
                        dty: Input Service Distributor (ISD)
                        einvoiceStatus: 'No'
                        gstin: 27AACCA8432H2ZP
                        lgnm: AVENUE SUPERMARTS LIMITED
                        lstupdt: 25/03/2025
                        nba:
                          - Recipient of Goods or Services
                        pradr:
                          addr:
                            bnm: Near ESIS Hospital, Wagle Estate
                            bno: Plot No B72 AND B72A
                            dst: Thane
                            flno: Beside Spectra Motors,
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: Wagle Estate MIDC Thane W
                            locality: ''
                            lt: ''
                            pncd: '400604'
                            st: Road No. 33
                            stcd: Maharashtra
                          ntr: Recipient of Goods or Services
                        rgdt: 26/07/2017
                        stj: WAGLE I.E._704
                        stjCd: MHCG1479
                        sts: Active
                        tradeNam: DMART
                      status_cd: '1'
                    timestamp: 1743079271934
                    transaction_id: 78c50d8e-3568-451e-904a-d0f5851d1db5
                200 Multiple additional addresses of business:
                  summary: 200 Multiple additional addresses of business
                  value:
                    code: 200
                    data:
                      data:
                        adadr:
                          - addr:
                              bnm: Fadia Chambers
                              bno: 3rd Floor
                              dst: Ahmedabad
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Ahmedabad
                              locality: ''
                              lt: ''
                              pncd: '380009'
                              st: Ashram Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: New Office Building
                              bno: Plot NO  C-5/101
                              dst: Valsad
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Vapi
                              locality: ''
                              lt: ''
                              pncd: '396195'
                              st: Nr Telephone Exchange,GIDC Ind. Estate
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: Udyog Bhawan
                              bno: Building no 3
                              dst: Gandhinagar
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Gandhinagar
                              locality: ''
                              lt: ''
                              pncd: '382011'
                              st: GH-3 Circle,Sector 11
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: Jamnagar Industiral Estate
                              bno: GIDC
                              dst: Jamnagar
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Jamnagar
                              locality: ''
                              lt: ''
                              pncd: '361004'
                              st: Shankar Tekri
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: Navsarjan Building
                              dst: Rajkot
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Rajkot
                              locality: ''
                              lt: ''
                              pncd: '360004'
                              st: Opp Swminarayan Gurukul, Gondal Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: Vanita Vishram Building
                              bno: GIDC
                              dst: Surat
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Surat
                              locality: ''
                              lt: ''
                              pncd: '395001'
                              st: Athwalines
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: GIDC
                              dst: Junagadh
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Junagadh
                              locality: ''
                              lt: ''
                              pncd: '362003'
                              st: Dolatpura
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: GIDC
                              dst: Junagadh
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Junagadh
                              locality: ''
                              lt: ''
                              pncd: '362003'
                              st: Dolatpura
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: GIDC
                              dst: Junagadh
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Junagadh
                              locality: ''
                              lt: ''
                              pncd: '362003'
                              st: Dolatpura
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: GIDC
                              dst: Junagadh
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Junagadh
                              locality: ''
                              lt: ''
                              pncd: '362003'
                              st: Dolatpura
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: GIDC
                              dst: Junagadh
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Junagadh
                              locality: ''
                              lt: ''
                              pncd: '362003'
                              st: Dolatpura
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: Plot No 43
                              dst: Mahesana
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Mehsana
                              locality: ''
                              lt: ''
                              pncd: '384002'
                              st: Near FCI Godown, Modhera Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: Plot No 43
                              dst: Mahesana
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Mehsana
                              locality: ''
                              lt: ''
                              pncd: '384002'
                              st: Near FCI Godown, Modhera Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: ''
                              bno: Plot No 43
                              dst: Mahesana
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Mehsana
                              locality: ''
                              lt: ''
                              pncd: '384002'
                              st: Near FCI Godown, Modhera Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: GIDC
                              bno: Admin Office Building
                              dst: Bharuch
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Ankleshwar
                              locality: ''
                              lt: ''
                              pncd: '393002'
                              st: Valia Road
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                          - addr:
                              bnm: Unique Trade Center
                              bno: 5th,6th Floor
                              dst: Vadodara
                              flno: ''
                              geocodelvl: NA
                              landMark: ''
                              lg: ''
                              loc: Vadodara
                              locality: ''
                              lt: ''
                              pncd: '390020'
                              st: Nr Hotel Kansar, Sayajiganj
                              stcd: Gujarat
                            ntr: Input Service Distributor (ISD)
                        ctb: Statutory Body
                        ctj: RANGE II
                        ctjCd: WU0102
                        cxdt: ''
                        dty: Regular
                        einvoiceStatus: 'Yes'
                        gstin: 24AABCG8033D1Z2
                        lgnm: GUJARAT INDUSTRIAL DEVELOPMENT CORPORATION
                        lstupdt: 05/11/2020
                        nba:
                          - Input Service Distributor (ISD)
                        pradr:
                          addr:
                            bnm: Udyog Bhavan
                            bno: Block No. 4
                            dst: Gandhinagar
                            flno: 1st Floor
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: Gandhinagar
                            locality: ''
                            lt: ''
                            pncd: '382011'
                            st: GH-4 Circle, Sector- 11
                            stcd: Gujarat
                          ntr: Input Service Distributor (ISD)
                        rgdt: 01/07/2017
                        stj: Ghatak 24 (Gan)
                        stjCd: GJ024
                        sts: Active
                        tradeNam: GUJARAT INDUSTRIAL DEVELOPMENT CORPORATION
                      status_cd: '1'
                    timestamp: 1743079100225
                    transaction_id: f8be2d24-ed85-4a65-9763-0a3bef00870a
                200 Public Limited Company:
                  summary: 200 Public Limited Company
                  value:
                    code: 200
                    data:
                      data:
                        adadr:
                          - addr:
                              bnm: Plot EL - 25
                              bno: A Wing
                              dst: Thane
                              flno: ''
                              geocodelvl: locality
                              landMark: ''
                              lg: '73.019462'
                              loc: Navi Mumbai
                              locality: Mahape Village
                              lt: '19.112067'
                              pncd: '400710'
                              st: Trans Thane Industrial Area
                              stcd: Maharashtra
                            ntr: >-
                              Supplier of Services, Recipient of Goods or
                              Services
                        ctb: Public Limited Company
                        ctj: RANGE-IV
                        ctjCd: VO0304
                        cxdt: ''
                        dty: Regular
                        einvoiceStatus: 'Yes'
                        gstin: 27AACCN0053F1ZW
                        lgnm: NSDL DATABASE MANAGEMENT LIMITED
                        lstupdt: 04/02/2025
                        nba:
                          - Service Provision
                          - Recipient of Goods or Services
                          - Supplier of Services
                        pradr:
                          addr:
                            bnm: One International Center
                            bno: Tower 3
                            dst: Mumbai
                            flno: 4th Floor
                            geocodelvl: Building
                            landMark: ''
                            lg: '72.83584713935853'
                            loc: Mumbai
                            locality: Prabhadevi
                            lt: '19.00916577823824'
                            pncd: '400013'
                            st: S. B. Marg
                            stcd: Maharashtra
                          ntr: Service Provision, Recipient of Goods or Services
                        rgdt: 01/07/2017
                        stj: DELISLE_ROAD_701
                        stjCd: MHCG0453
                        sts: Active
                        tradeNam: NSDL DATABASE MANAGEMENT LIMITED
                      status_cd: '1'
                    timestamp: 1743079327421
                    transaction_id: a2defd46-0ef8-4614-b83e-5762762b1f23
                200 Public Sector Bank:
                  summary: 200 Public Sector Bank
                  value:
                    code: 200
                    data:
                      data:
                        adadr: []
                        ctb: PUBLIC SECTOR BANK
                        ctj: RANGE IV
                        ctjCd: WS0104
                        cxdt: ''
                        dty: Regular
                        einvoiceStatus: 'Yes'
                        gstin: 24AAACS8577K1ZV
                        lgnm: STATE BANK OF INDIA
                        lstupdt: 17/03/2025
                        nba:
                          - Service Provision
                        pradr:
                          addr:
                            bnm: STATE BANK OF INDIA, LOCAL HEAD OFFICE
                            bno: '1'
                            dst: Ahmedabad
                            flno: ''
                            geocodelvl: NA
                            landMark: ''
                            lg: ''
                            loc: BHADRA
                            locality: ''
                            lt: ''
                            pncd: '380001'
                            st: LAL DARWAJA
                            stcd: Gujarat
                          ntr: Service Provision
                        rgdt: 01/07/2017
                        stj: Ghatak 3 (Ahmedabad)
                        stjCd: GJ003
                        sts: Active
                        tradeNam: STATE BANK OF INDIA
                      status_cd: '1'
                    timestamp: 1743079411379
                    transaction_id: 15ad1d24-bad2-471d-9f94-43ffad9cb695
                200 NRI GSTIN:
                  summary: 200 NRI GSTIN
                  value:
                    code: 200
                    data:
                      data:
                        canclDt: ''
                        ctb: NA
                        ctj: >-
                          State - CBIC,Zone - BENGALURU,Commissionerate -
                          BENGALURU WEST,Division - WEST OIDAR SERVICES,Range -
                          RANGE-BOIDAR (Jurisdictional Office)
                        ctjCd: YU1002
                        cxdt: ''
                        dty: >-
                          Non-Resident Online Services Provider and/or
                          Non-Resident Online Money Gaming Supplier
                        einvoiceStatus: 'No'
                        gstin: 9917SGP29002OSR
                        lgnm: LINKEDIN SINGAPORE PTE. LTD.
                        lstupdt: ''
                        rgdt: 01/07/2017
                        rsnCd: ''
                        stj: NA
                        stjCd: NA
                        sts: Active
                        tradeNam: ''
                        typeOfSup: OIDAR
                      status_cd: '1'
                    timestamp: 1760363540087
                    transaction_id: 97176028-96b1-4421-93f1-9291efd5362b
          headers: {}
        '422':
          description: Invalid GSTIN pattern
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 422
                  message:
                    type: string
                    example: Invalid GSTIN pattern
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 71060364-7cc1-4436-84d7-3bdf4a47de55
              examples:
                Invalid GSTIN pattern:
                  summary: Invalid GSTIN pattern
                  value:
                    code: 422
                    message: Invalid GSTIN pattern
                    timestamp: 1763446641000
                    transaction_id: 71060364-7cc1-4436-84d7-3bdf4a47de55
          headers: {}
      deprecated: false
      security: []

````